Bug 185614 - RFE: Add possibility for running saslauthd as non-root?
RFE: Add possibility for running saslauthd as non-root?
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan F. Chadima
Brian Brock
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-16 07:58 EST by Pekka Pietikäinen
Modified: 2011-01-26 11:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-26 11:21:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add $DAEMONOPTS to saslauthd startup. And submit the right file. (420 bytes, patch)
2006-03-16 07:59 EST, Pekka Pietikäinen
no flags Details | Diff
Sample /etc/sysconfig/saslauthd for running as non-privileged user (601 bytes, text/plain)
2006-03-16 08:05 EST, Pekka Pietikäinen
no flags Details

  None (edit)
Description Pekka Pietikäinen 2006-03-16 07:58:23 EST
saslauthd can run without root as long as you aren't running against PAM.

Would it be possible to:

1) get a saslauth user created by default 
2) make /var/run/saslauthd owned by sasldauth.saslauth 
3) Add the diff attached to this report to the initscript
4) make the default /etc/sysconfig/saslauthd like the one attached.

Thanks :)
Comment 1 Pekka Pietikäinen 2006-03-16 07:59:38 EST
Created attachment 126216 [details]
add $DAEMONOPTS to saslauthd startup. And submit the right file.
Comment 2 Pekka Pietikäinen 2006-03-16 08:05:57 EST
Created attachment 126217 [details]
Sample /etc/sysconfig/saslauthd for running as non-privileged user
Comment 3 Pekka Pietikäinen 2006-03-16 08:09:31 EST
Comment on attachment 126216 [details]
add $DAEMONOPTS to saslauthd startup. And submit the right file.

--- saslauthd~	2006-03-16 14:59:41.583375088 +0200
+++ saslauthd	2006-03-16 14:59:53.783889717 +0200
@@ -34,7 +34,7 @@

 start() {
	echo -n $"Starting $prog: "
-	daemon $path -m $SOCKETDIR -a $MECH $FLAGS
+	daemon $DAEMONOPTS $path -m $SOCKETDIR -a $MECH $FLAGS
	RETVAL=$?
	echo
	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog
Comment 5 Fedora Admin XMLRPC Client 2009-05-04 04:26:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.